cl.cromer.estructuras

## Class Logs

- java.lang.Object
- - cl.cromer.estructuras.Logs

    public class Logs
    extends java.lang.Object

Esta clase es para configurar el logeo de la aplicación.

Author:
  Chris Cromer

### Nested Class Summary

Nested Classes
`private static class` `Logs.DEBUG_TIPOS` Tipos de depuración.

### Field Summary

Fields
`static boolean` `DEBUG` Estado de depuración.
`static Logs.DEBUG_TIPOS` `DEBUG_TIPO` Tipo de depuración a usar.
`java.util.logging.FileHandler` `fileHandler`
`static java.lang.String` `LOGFILE` Nombre de archivo para guardar los logs.
`static java.lang.String` `LOGNAME` Nombre del log.

### Constructor Summary

Constructors
Constructor and Description
`Logs()` Crear un logger usando "EDD".

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()` Cerrar el archivo.
`static void` `log(java.util.logging.Level level, java.lang.Exception exception)` Agregar un log al logger y agregar el stack trace.
`static void` `log(java.util.logging.Level level, java.lang.String mensaje)` Agregar un log al logger con un mensaje.
`static void` `log(java.lang.String mensaje)` Agregar un log al logger con un mensaje.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG

    public static final boolean DEBUG

Estado de depuración.

See Also:
  Constant Field Values

#### DEBUG_TIPO

    public static final Logs.DEBUG_TIPOS DEBUG_TIPO

Tipo de depuración a usar.

#### LOGFILE

    public static final java.lang.String LOGFILE

Nombre de archivo para guardar los logs.

See Also:
  Constant Field Values

#### LOGNAME

    public static final java.lang.String LOGNAME

Nombre del log.

See Also:
  Constant Field Values

#### fileHandler

    public java.util.logging.FileHandler fileHandler

### Constructor Detail

#### Logs

    public Logs()

Crear un logger usando "EDD". Guardar los logs en el archivo de "./EDD.log". Pero solo logear si false es vardad.

### Method Detail

#### close

    public void close()

Cerrar el archivo.

#### log

    public static void log(java.lang.String mensaje)

Agregar un log al logger con un mensaje.

Parameters:
  `mensaje` - String: El mensaje de lo que pasó.

#### log

    public static void log(java.util.logging.Level level,
                           java.lang.String mensaje)

Agregar un log al logger con un mensaje.

Parameters:
  `level` - Level: El tipo de error o mensaje que ha sido generado.
  `mensaje` - String: El mensaje de lo que pasó.

#### log

    public static void log(java.util.logging.Level level,
                           java.lang.Exception exception)

Agregar un log al logger y agregar el stack trace.

Parameters:
  `level` - Level: El tipo de error o mensaje que ha sido generado.
  `exception` - String: El mensaje de lo que pasó.